> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountsea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 淡入 / 淡出

> 对已有 clip 应用淡入或淡出

对已有 clip 应用淡入/淡出，通过 [查询任务状态](/zh/api-reference/suno/task) 轮询至 `success`。

<Info>
  **免费**（0 积分）。`fade_in_time` 与 `fade_out_time` **至少传一个**。
</Info>

## 参数

| 字段              | 类型     | 必填  | 说明         |
| --------------- | ------ | --- | ---------- |
| `clip_id`       | string | 是   | 要操作的 clip  |
| `fade_in_time`  | number | 二选一 | 淡入结束时间（秒）  |
| `fade_out_time` | number | 二选一 | 淡出开始时间（秒）  |
| `title`         | string | 否   | 结果 clip 标题 |

## 结果

与 [音频裁剪](/zh/api-reference/suno/audioCrop) 相同：含 `action_clip_id` 与完整 `clip` 对象。

## 示例

```bash theme={null}
curl -X POST https://api.mountsea.ai/suno/v2/audio/fade \
  -H "Authorization: Bearer your-api-key" \
  -H "Content-Type: application/json" \
  -d '{
    "clip_id": "5a3c023f-d1ed-4a85-b61e-168dde2b6659",
    "fade_in_time": 3,
    "fade_out_time": 28,
    "title": "Summer Vibes (Fade)"
  }'
```


## OpenAPI

````yaml POST /suno/v2/audio/fade
openapi: 3.0.0
info:
  title: Suno AI
  description: API documentation for Suno AI
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.mountsea.ai
    description: API Gateway
security: []
tags:
  - name: suno
    description: ''
  - name: suno/studio
    description: Studio Song Editor（与 audio/crop|fade|reverse 独立）
paths:
  /suno/v2/audio/fade:
    post:
      tags:
        - suno
      summary: fade in / fade out
      description: >-
        Apply fade-in or fade-out to an existing clip (must own the clip). Free
        operation (0 credits).

        Provide either fade_in_time or fade_out_time (mutually exclusive).

        Returns taskId to poll via /status. On success, task result contains the
        new clip info.
      operationId: ApiPublicController_fade
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FadeDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIdDto'
      security:
        - bearerAuth: []
components:
  schemas:
    FadeDto:
      type: object
      properties:
        clip_id:
          type: string
          description: 要操作的 clip_id（须与账号一致）
        fade_in_time:
          type: number
          minimum: 0
          description: 淡入结束时间（秒），与 fade_out_time 二选一
        fade_out_time:
          type: number
          minimum: 0
          description: 淡出开始时间（秒），与 fade_in_time 二选一
        title:
          type: string
          description: 操作后的标题
      required:
        - clip_id
    TaskIdDto:
      type: object
      properties:
        taskId:
          type: string
          description: task id. Use this id to query task status.
          example: 15c257ff-43f7-4678-bd41-202ad6b8488b
      required:
        - taskId
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````